Bug 191596 - At gdm login screen gnome-session will not launch
At gdm login screen gnome-session will not launch
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-05-13 14:05 EDT by Maxwell Bottiger
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version: gdm-2.14.9-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-06-27 12:55:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Maxwell Bottiger 2006-05-13 14:05:34 EDT
Description of problem:
After upgrading from FC4 (where everything worked fine) I cannot log into gnome
from runlevel 5 in FC5.  I can select gnome as my default session from the gdm
login screen, however after loging in my desktop is set to twm.  If I switch to
runlevel 3 and use startx, I do get my gnome desktop.  Moreover, if I open an
xterm in twm, I can run gnome-session and start gnome in a window.  I have tried
using switchdesk to fix the problem, but that didn't help.  I think what is
happening is that gnome-session is not starting because it sees gdm running and
doesn't want to start another session.  Because gnome won't start twm gets
loaded since it is the only other window manager loaded.  That's my guess at least.

Version-Release number of selected component (if applicable):

How reproducible:
Every time

Steps to Reproduce:
1.log in through gdm.
Actual results:
twm window manager

Expected results:
gnome window manager

Additional info:
Comment 1 Maxwell Bottiger 2006-06-27 12:55:23 EDT
This bug was fixed at some point but an updated version of GDM.  All of my GDM
settings now work and the desktops load correctly.

Note You need to log in before you can comment on or make changes to this bug.